## Package Win32::GUI::Listbox

Back to the Packages

- Constructor

  - new Win32::GUI::Listbox(PARENT, %OPTIONS)

- Methods

  - Add(STRING, STRING .. STRING)

  - AddString(STRING)

  - Clear()

  - Count()

  - FindString(STRING, [INDEX])

  - FindStringExact(STRING, [INDEX])

  - FirstVisibleItem([INDEX])

  - GetString(INDEX)

  - InsertItem(STRING, [INDEX])

  - ItemFromPoint(X, Y)

  - ItemHeight([HEIGHT])

  - ListIndex()

  - RemoveItem(INDEX)

  - Reset()

  - Select(INDEX)

  - SelectCount()

  - SelectedItem()

  - SelectedItems()

  - SelectString(STRING, [INDEX])

- Events

  - Click()

  - DblClick()

  - GotFocus()

  - LostFocus()

### Constructor

new Win32::GUI::Listbox(PARENT, %OPTIONS)

  Creates a new Listbox object; can also be called as PARENT->AddListbox(%OPTIONS). Class specific `%OPTIONS` are:

         -multisel => 0/1/2 (default 0)
             specifies the selection type:
                 0 single selection
                 1 multiple selection
                 2 multiple selection ehnanced (with Shift, Control, etc.)
         -sort     => 0/1 (default 0)
             items are sorted alphabetically.

### Methods

Add(STRING, STRING .. STRING)

  [TBD]

AddString(STRING)

  [TBD]

Clear()

  [TBD]

Count()

  Returns the number of items in the Listbox.

FindString(STRING, [INDEX])

  [TBD]

FindStringExact(STRING, [INDEX])

  [TBD]

FirstVisibleItem([INDEX])

  [TBD]

GetString(INDEX)

  Returns the string at the specified zero-based INDEX in the Listbox.

InsertItem(STRING, [INDEX])

  Inserts an item at the specified zero-based INDEX in the Listbox, or adds it at the end if INDEX is not specified.

ItemFromPoint(X, Y)

  [TBD]

ItemHeight([HEIGHT])

  Gets or sets the items height in a Listbox.

ListIndex()

  [TBD]

RemoveItem(INDEX)

  Removes the zero-based INDEX item from the Listbox.

Reset()

  [TBD]

Select(INDEX)

  Selects the zero-based INDEX item in the Listbox.

SelectCount()

  [TBD]

SelectedItem()

  [TBD]

SelectedItems()

  Returns an array containing the zero-based indexes of the selected items in a multiple selection Listbox.

SelectString(STRING, [INDEX])

  [TBD]

### Events

Click()

  [TBD]

DblClick()

  Sent when the user double clicks on the control.

GotFocus()

  Sent when the control is activated.

LostFocus()

  Sent when the control is deactivated.